package com.yeejoin.amos.api.tool.face.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@NoArgsConstructor
@ApiModel(value = "RelationTreeModel", description = "")
public class RelationTreeModel {

    @ApiModelProperty(value = "表名称")
    private String name;

    @ApiModelProperty(value = "表字段")
    private String field;

    @ApiModelProperty(value = "前表关联字段")
    private String parentField;

    @ApiModelProperty(value = "父表名")
    private String parentName;

    @ApiModelProperty(value = "子节点")
    private List<RelationTreeModel> children;

    public RelationTreeModel(String name, String field,String parentField , String parentName, List<RelationTreeModel> children) {
        this.name = name;
        this.field = field;
        this.parentField = parentField;
        this.parentName = parentName;
        this.children = children;
    }
}
