package com.yeejoin.amos.api.tool.face.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.typroject.tyboot.core.rdbms.model.BaseModel;

@Data
@EqualsAndHashCode(callSuper = true)
@ApiModel(value="TemplateCateModel", description="")
public class TemplateCateModel extends BaseModel {

    @ApiModelProperty(value = "模板分类名称")
    private String cateName;

    @ApiModelProperty(value = "模板类型")
    private String tplType;

    @ApiModelProperty(value = "所用设计器类型")
    private String designerType;

    @ApiModelProperty(value = "图标路径")
    private String icon;

    @ApiModelProperty(value = "是否删除")
    private Boolean isDel;

    public void setIcon(String icon) {
        this.icon = icon;
    }

    public void setIsDel(Boolean isDel) {
        this.isDel = isDel;
    }
}
